This is the mail archive of the cygwin-apps mailing list for the Cygwin project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

mksetupini: Presence of both 'requires:' and 'depends:' in a PVR.hint file


I'd like to add support to cygport for dependencies with version relations. In the course of working on this, I was led to question the behavior of mksetupini when a PVR.hint file contains both a 'requires:' and a 'depends:' field [*].

Currently, the 'requires:' field gets propagated to the 'requires:' field of setup.ini, and the 'depends:' field gets propagated to the (version-specific) 'depends2:' field of setup.ini. When setup parses setup.ini, the 'depends2:' field takes precedence over the (non-version-specific) 'requires:' field.

The net effect, then, is that the 'requires:' field of PVR.hint is ignored. Wouldn't it make more sense for mksetupini to fold the 'requires:' field into the 'depends2:' field of setup.ini? Alternatively, maybe we shouldn't allow PVR.hint to contain both 'requires:' and 'depends:'

Ken

[*] I can't think of a good reason to create such a .hint file, but it appears to be allowed in https://cygwin.com/packaging-hint-files.html#pvr.hint.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]